Samba .reg file code race condition

samba-reg-race-condition (11551) The risk level is classified as HighHigh Risk

Description:

Samba is vulnerable to a race condition in the code that writes .reg files. A local attacker could exploit this vulnerability to overwrite any file on the system.


Consequences:

Gain Privileges

Remedy:

Upgrade to the latest version of Samba (2.2.8 or later), available from the Samba Web site. See References.

For Debian GNU/Linux 3.0 (woody):
Upgrade to the latest samba package (2.2.3a-12.1 or later), as listed in DSA-262-1 for more information. See References.

For Red Hat Linux:
Upgrade to the latest samba package, as listed below. Refer to RHSA-2003:095-23 for more information. See References.

Red Hat 6.2: 2.0.10-1.62 or later
Red Hat 7.0: 2.0.10-1.7.0 or later
Red Hat 7.1: 2.0.10-4.7.1 or later
Red Hat 7.2: 2.2.7-2.7.2 or later
Red Hat 7.3: 2.2.7-2.7.3 or later
Red Hat 8.0: 2.2.7-4.8.0 or later
Red Hat 9: 2.2.7a-7.9.0 or later

For Apple Mac OS X and Mac OS X Server:
Samba ships with Mac OS X and Mac OS X Server, but is not enabled by default. Upgrade to Security Update 2003-03-24, available at the Apple Computer, Inc. Security Updates site. See References.

For OpenPKG:
Upgrade to the latest samba package as listed below. Refer to OpenPKG Security Advisory OpenPKG-SA-2003.021 for more information. See References.

OpenPKG CURRENT: 2.2.8-20030316 or later
OpenPKG 1.0: 2.2.7a-1.2.1 or later
OpenPKG 1.1: 2.2.5-1.1.2 or later

For SuSE Linux:
Upgrade to the latest samba or samba-client package, as listed below. Refer to SuSE Security Announcement SuSE-SA:2003:016 for more information. See References.

SuSE 8.1 (Intel): 2.2.5-160 or later
SuSE 8.0 (Intel): 2.2.3a-169 or later
SuSE 7.3 (Intel): 2.2.1a-213 or later
SuSE 7.3 (Sparc): 2.2.1a-73 or later
SuSE 7.3 (PPC): 2.2.1a-147 or later
SuSE 7.2 (Intel): 2.2.0a-48 or later
SuSE 7.1 (Intel): 2.0.10-27 or later
SuSE 7.1 (AXP): 2.0.10-21 or later

For Samba-TNG prior to 0.3.1:
Upgrade to the latest version of Samba-TNG (0.3.1 or later), available from the Samba-TNG Web site. See References.

For Conectiva Linux:
Upgrade to the latest samba package, as listed below. Refer to Connectiva Linux Security Announcement CLSA-2003:615 for more information. See References.

Conectiva Linux 6.0: 2.0.9-2U60_3cl or later
Conectiva Linux 7.0: 2.2.8-1U70_1cl or later
Conectiva Linux 8: 2.2.8-1U80_1cl or later

For FreeBSD Ports Collection:
Upgrade to the latest ports collection, as listed in FreeBSD Security Notice FreeBSD-SN-03:01. See References.

For Caldera OpenLinux 3.1.1 (Workstation and Server):
Upgrade to the latest version of samba (2.2.2-7 or later), as listed in Caldera International, Inc. Security Advisory CSSA-2003-017.0. See References.

For other distributions:
Contact your vendor for upgrade or patch information.

References:

Platforms Affected:

  • Conectiva Linux 6.0
  • Conectiva Linux 7.0
  • Conectiva Linux 8.0
  • Debian Debian Linux 3.0
  • FreeBSD FreeBSD Ports Collection
  • MandrakeSoft Mandrake Linux 8.0 PPC
  • MandrakeSoft Mandrake Linux 8.0
  • MandrakeSoft Mandrake Linux 8.1
  • MandrakeSoft Mandrake Linux 8.1 IA64
  • MandrakeSoft Mandrake Linux 8.2 PPC
  • MandrakeSoft Mandrake Linux 8.2
  • MandrakeSoft Mandrake Linux 9.0
  • MandrakeSoft Mandrake Linux Corporate Server 2.1
  • MandrakeSoft Mandrake Multi Network Firewall 8.2
  • Novell SuSE Linux Enterprise Server 7.0
  • OpenPKG OpenPKG 1.1
  • OpenPKG OpenPKG 1.2
  • OpenPKG OpenPKG CURRENT
  • RedHat Enterprise Linux 2.1 AS
  • RedHat Enterprise Linux 2.1 ES
  • RedHat Enterprise Linux 2.1 WS
  • RedHat Linux 6.2
  • RedHat Linux 7
  • RedHat Linux 7.1
  • RedHat Linux 7.1 for iSeries
  • RedHat Linux 7.1 for pSeries
  • RedHat Linux 7.2
  • RedHat Linux 7.3
  • RedHat Linux 8.0
  • RedHat Linux 9.0
  • RedHat Linux Advanced Workstation 2.1 Itanium
  • Samba Samba 2.0.0
  • Samba Samba 2.0.1
  • Samba Samba 2.0.10
  • Samba Samba 2.0.2
  • Samba Samba 2.0.3
  • Samba Samba 2.0.4
  • Samba Samba 2.0.5
  • Samba Samba 2.0.6
  • Samba Samba 2.0.7
  • Samba Samba 2.0.8
  • Samba Samba 2.0.9
  • Samba Samba 2.2.0
  • Samba Samba 2.2.0a
  • Samba Samba 2.2.1a
  • Samba Samba 2.2.2
  • Samba Samba 2.2.3
  • Samba Samba 2.2.3a
  • Samba Samba 2.2.4
  • Samba Samba 2.2.5
  • Samba Samba 2.2.6
  • Samba Samba 2.2.7
  • Samba Samba 2.2.7a
  • Samba-TNG Samba-TNG 0.3
  • Samba-TNG Samba-TNG 0.3.1
  • SCO Caldera OpenLinux Server 3.1.1
  • SCO Caldera OpenLinux Workstation 3.1.1
  • SGI IRIX 6.5
  • SGI IRIX 6.5 20
  • SGI IRIX 6.5.1
  • SGI IRIX 6.5.10
  • SGI IRIX 6.5.10f
  • SGI IRIX 6.5.10m
  • SGI IRIX 6.5.11
  • SGI IRIX 6.5.11f
  • SGI IRIX 6.5.11m
  • SGI IRIX 6.5.12
  • SGI IRIX 6.5.12f
  • SGI IRIX 6.5.12m
  • SGI IRIX 6.5.13
  • SGI IRIX 6.5.13f
  • SGI IRIX 6.5.13m
  • SGI IRIX 6.5.14
  • SGI IRIX 6.5.14f
  • SGI IRIX 6.5.14m
  • SGI IRIX 6.5.15
  • SGI IRIX 6.5.15f
  • SGI IRIX 6.5.15m
  • SGI IRIX 6.5.16
  • SGI IRIX 6.5.16f
  • SGI IRIX 6.5.16m
  • SGI IRIX 6.5.17
  • SGI IRIX 6.5.17f
  • SGI IRIX 6.5.17m
  • SGI IRIX 6.5.18
  • SGI IRIX 6.5.18f
  • SGI IRIX 6.5.18m
  • SGI IRIX 6.5.19
  • SGI IRIX 6.5.19f
  • SGI IRIX 6.5.19m
  • SGI IRIX 6.5.2
  • SGI IRIX 6.5.20
  • SGI IRIX 6.5.20f
  • SGI IRIX 6.5.20m
  • SGI IRIX 6.5.21
  • SGI IRIX 6.5.21f
  • SGI IRIX 6.5.21m
  • SGI IRIX 6.5.22
  • SGI IRIX 6.5.22m
  • SGI IRIX 6.5.23
  • SGI IRIX 6.5.23m
  • SGI IRIX 6.5.24
  • SGI IRIX 6.5.24m
  • SGI IRIX 6.5.25
  • SGI IRIX 6.5.26
  • SGI IRIX 6.5.27
  • SGI IRIX 6.5.28
  • SGI IRIX 6.5.2f
  • SGI IRIX 6.5.2m
  • SGI IRIX 6.5.3
  • SGI IRIX 6.5.3f
  • SGI IRIX 6.5.3m
  • SGI IRIX 6.5.4
  • SGI IRIX 6.5.4f
  • SGI IRIX 6.5.4m
  • SGI IRIX 6.5.5
  • SGI IRIX 6.5.5f
  • SGI IRIX 6.5.5m
  • SGI IRIX 6.5.6
  • SGI IRIX 6.5.6f
  • SGI IRIX 6.5.6m
  • SGI IRIX 6.5.7
  • SGI IRIX 6.5.7f
  • SGI IRIX 6.5.7m
  • SGI IRIX 6.5.8
  • SGI IRIX 6.5.8f
  • SGI IRIX 6.5.8m
  • SGI IRIX 6.5.9
  • SGI IRIX 6.5.9f
  • SGI IRIX 6.5.9m
  • SuSE Linux Enterprise Server 8
  • SuSE SuSE eMail Server 3.1
  • SuSE SuSE eMail Server III
  • SUSE SuSE Linux 7.1
  • SUSE SuSE Linux 7.2
  • SUSE SuSE Linux 7.3
  • SUSE SuSE Linux 8.0
  • SUSE SuSE Linux 8.1
  • SuSE SuSE Linux Connectivity Server
  • SuSE SuSE Linux Database Server
  • SuSE SuSE Linux Firewall
  • SuSE SuSE Linux Office Server

Reported:

Mar 15, 2003

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page